summaryrefslogtreecommitdiffstats
path: root/base/root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'base/root/scripts')
-rwxr-xr-xbase/root/scripts/setup_tsm_client.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/base/root/scripts/setup_tsm_client.sh b/base/root/scripts/setup_tsm_client.sh
index 0d879df..ac043f1 100755
--- a/base/root/scripts/setup_tsm_client.sh
+++ b/base/root/scripts/setup_tsm_client.sh
@@ -39,7 +39,7 @@ onnode all rm -f /tmp/tsmpwd
# we have to use a rather torturous procedure ...
echo "Killing ctdb"
-onnode all killall ctdbd
+onnode all killall ctdbd || true
echo "temporarily disabling automount of gpfs0"
mmchfs gpfs0 -A no
@@ -61,6 +61,8 @@ mmmount gpfs0 -a
dsmmigfs add /gpfs
-onnode all dsmmigfs start
+echo "Restarting gpfs"
+mmshutdown -a
+mmstartup -a
echo "TSM client setup complete"